<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title><?php echo($lang["V57"]); ?> - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <link rel="stylesheet" href="./media/css/jquery.jmodal.css" type="text/css" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/article.js"></script>
        <script type="text/javascript" src="./media/js/jquery.jmodal.js"></script>
        <script type="text/javascript">
            $(document).ready(function(){
                $("#cate_id").val('<?php echo $cate_id ?>');
                $("#key_word").val('<?php echo $key_word ?>');
                $("#is_public").val('<?php echo $is_public ?>');
            });
        </script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="<?php echo($lang["V2"]); ?>" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='<?php echo($lang["V2"]); ?>')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" />
                    </span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
        <div id="location">
            <ul>
                <li><img src="./media/images/icon_location.gif" alt="<?php echo($lang["V4"]); ?>" width="13" height="13" /></li>
                <li><strong><?php echo($lang["V4"]); ?>:</strong></li>
                <li><?php echo($lang["V28"]); ?></li>
            </ul>
        </div>
        <div id="wrapper">
            <div id="leftside">
                <div id="nav_profile"> <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                    <p><?php echo($lang["V6"]); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                    <p><a href="./index.php?c=account"><?php echo($lang["V7"]); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang["V8"]); ?></a></p>
                </div>
                <div class="clear"></div>
                <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang["V9"]); ?></a></div>
                <div class="clear"></div>
                <div> <?php echo($menu); ?> </div>
            </div>
            <div id="rightside">
                <?php
                  $count = count($article_list);
                ?>
                  <div id="content">
                      <div id="list_info">
                          <div class="quick_button"><a href="./index.php?c=article&m=add" class="btn-link"><span><?php echo($lang["V27"]); ?></span></a></div>
                          <div class="record_count"><span id="cur_number"><?php echo($lang["V55"]); ?>: <?php echo($count); ?></span></div>
                      </div>
                      <form action="index.php?c=article" method="get" name="SearchForm" id="SearchForm">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                              <tr >
                                  <td width="200"><?php echo $lang["V73"]; ?>&nbsp;<input type="text" name="key_word" id="keyword" value="<?php echo($key_word); ?>" class="ipt" onclick="if(this.value=='<?php echo($lang["V73"]); ?>')this.value=''" onblur="if(this.value=='')this.value='<?php echo($lang["V73"]); ?>'"/></td>
                                  <td width="80"><select name="cate_id" id="cate_id">
                                          <option value="" selected="selected"><?php echo($lang["V30"]); ?></option>
                                        <?php foreach ($category_list as $val) {
                                        ?>
                                              <option value="<?php echo($val["id"]); ?>"><?php echo(str_repeat("&nbsp;&nbsp;&nbsp;", $val["level"]) . $val["name"]); ?></option>
                                        <?php } ?>
                                      </select></td>
                                  <td width="80"><select name="is_public" id="is_public">
                                          <option value="" selected="selected"><?php echo($lang["V34"]); ?></option>
                                          <option value="1"><?php echo($lang["V32"]); ?></option>
                                          <option value="2"><?php echo($lang["V33"]); ?></option>
                                      </select></td>
                                  <td width="60"><input name="input" id="search-btn" type="image" src="./media/images/search_btn.gif" />
                                      <input name="c" type="hidden" value="article" /></td>
                                  <td align="right" id="page"></td>
                              </tr>
                          </table>
                      </form>
                    <?php
                                          if ($count == 0) {
                    ?>
                                              <div class='notice'><?php echo($lang["V72"] . sprintf($lang["V75"], "./index.php?c=article&m=add")); ?> </div>
                    <?php
                                          } else {
                    ?>
                                              <table width="100%" border="0" cellpadding="0" cellspacing="0" id="tablehover">
                                                  <tr>
                                                      <th width="60">ID</th>
                                                      <th><?php echo($lang["V29"]); ?></th>
                                                      <th><?php echo($lang["V32"]); ?></th>
                                                      <th><?php echo($lang["V76"]); ?></th>
                                                      <th><?php echo($lang["V77"]); ?></th>
                                                      <th width="120"><?php echo($lang["V78"]); ?></th>
                                                      <th colspan="3"><?php echo($lang["V58"]); ?></th>
                                                  </tr>
                        <?php
                                              $num = 1;
                                              foreach ($article_list as $val) {
                                                  $vote_img = ($val['votes']) ? round(($val['rating']) / ($val['votes'] * 5), 1) * 100 : 0;
                        ?>
                                                  <tr>
                                                      <td><?php echo($num . ".") ?></td>
                                                      <td><a href="./index.php?c=article&m=view&id=<?php echo $val['id'] ?>"><?php echo stripcslashes($val['subject']) ?></a></td>
                                                      <td><?php echo $val['is_public'] ?></td>
                                                      <td><?php echo $val['views'] ?></td>
                                                      <td><?php echo $val['votes'] ?></td>
                                                      <td><img src='./media/images/star_<?php echo($vote_img); ?>.png' alt="<?php echo($lang["V78"]); ?>" name="star_img" width="86" height="16" align="absmiddle" id="star_img" /></td>
                                                      <td width="16"><?php if ($num > 1) { ?>
                                                              <img src="./media/images/move_up.png" alt="<?php echo($lang["V79"]); ?>" width="16" height="16" class="btn-img" title="<?php echo($lang["V79"]); ?>" onclick="articleSort(<?php echo $val['id'] ?>,'up')" />
                                <?php } ?></td>
                                              <td width="16"><?php if ($num < $count) { ?>
                                                      <img src="./media/images/move_down.png" alt="<?php echo($lang["V80"]); ?>" width="16" height="16" class="btn-img" title="<?php echo($lang["V80"]); ?>" onclick="articleSort(<?php echo $val['id'] ?>,'down')" />
                                <?php } ?></td>
                                              <td width="140">
                                                  <span class="action_btn edit"><a href="./index.php?c=article&m=edit&id=<?php echo $val['id'] ?>" title="<?php echo($lang["V61"]); ?>"></a></span>
                                                  <span class="action_btn dele-0"><a href="javascript:void(0);" onclick="removeArticle(<?php echo $val['id'] ?>)" title="<?php echo($lang["V62"]); ?>"></a></span>
                                              </td>
                                          </tr>
                        <?php $num++;
                                              } ?>
                                          </table>
                    <?php } ?>
                                      </div>
                                      <div id="page-list"><?php echo($page_link); ?></div>
                                      <div id="footer">
                                          <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="<?php echo($lang["V15"]); ?>" align="absmiddle" /> | <?php echo($lang["V14"]); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                </div>
            </div>
        </div>
        <div class="clear"></div>
        <div id="notification-box">
            <div id="notification"></div>
        </div>
        <div id="onlinetimer"></div>
    </body>
</html>
