<?php

  $set = array();

// Application Information
  $set["application_name"] = "iKode Installer";
  $set["license_agreement_file"] = "license.html";

//configuration file
  $set["config_file_template"] = "dbconfig.tpl.php";
  $set["config_file_dir"] = "../application/config/";
  $set["config_file_name"] = "database.php";
  $set["config_file_path"] = $set["config_file_dir"] . $set["config_file_name"];

// Product Infomation
  $set["product_name"] = "iKode HelpDesk X";
  $set["product_version"] = "3.2";
  $set["product_copyright"] = "Copyright 2010-2012 iKode Software Technology Co., Ltd. All Rights Reserved.";
  $set["product_official_site"] = "http://www.phphelpdesk.org/";

// Database Information
  $set["default_db_type"] = "mysql";     //or sqlite
  $set["default_mysql_host"] = "localhost";
  $set["default_mysql_port"] = "";
  $set["default_db_name"] = "helpdesk";
  $set["mysql_dump"] = "helpdesk.init.sql";
  $set["mysql_table_prefix"] = "is_";
  $set["sqlite_file_dir"] = "../data/";
  $set["sqlite_file_dump"] = "helpdesk.init.db";

//define tags
  $set["admin_username_tag"] = "[admin_username]";
  $set["admin_password_tag"] = "[admin_password]";
  $set["admin_email_tag"] = "[admin_email]";
  $set["admin_website_tag"] = "[admin_website]";
  $set["admin_installation_path"] = "[admin_installation_path]";

// System Requirements
  $set["php_version_required"] = array("5.3");
  $set["mysql_required"] = 1;
  $set["mysql_version_required"] = 4;
  $set["gd_required"] = 1;
  $set["gd_version_required"] = 2;
  $set["zend_optimizer"] = 3;
  $set["create_folder_required"] = 1;
  $set["read_file_required"] = 1;
  $set["write_file_required"] = 1;
  $set["delete_file_required"] = 1;

//installation lock file information
  $set["install_lockfile_name"] = 'install.lock';
  $set["install_lockfile_dir"] = "../";
  $set["install_lockfile_path"] = $set["install_lockfile_dir"] . $set["install_lockfile_name"];

  $set["make_dirs"] = array(
      '../backup',
      '../backup/database',
      '../attachment',
      '../mailbox',
      '../mailbox/failedbox',
      '../mailbox/inbox',
      '../mailbox/outbox',
      '../mailbox/retrybox',
      '../upload',
      '../application/config',
  );

  $set["copy_dirs"] = array(
      "upload",
  );
?>