<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title><?php echo($lang["V325"]); ?> - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/register.js"></script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="<?php echo($lang["V2"]); ?>" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='<?php echo($lang["V2"]); ?>')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
        <div id="location">
            <ul>
                <li><img src="./media/images/icon_location.gif" alt="<?php echo($lang["V4"]); ?>" width="13" height="13" /></li>
                <li><strong><?php echo($lang["V4"]); ?>:</strong></li>
                <li><?php echo($lang["V326"]); ?></li>
            </ul>
        </div>
        <div id="wrapper">
            <div id="leftside">
                <div id="nav_profile">
                    <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                    <p><?php echo($lang["V6"]); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                    <p><a href="./index.php?c=account"><?php echo($lang["V7"]); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang["V8"]); ?></a></p>
                </div>
                <div class="clear"></div>
                <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang["V9"]); ?></a></div>
                <div class="clear"></div>

                <div class="nav">
                    <?php echo($menu); ?>
                  </div>
              </div>
              <div id="rightside">
                  <div id="content">
                      <div class="sub-category-1">
                        <?php if ($activated) {
                        ?>
                              <div class="notice"><?php echo($lang["V327"]); ?></div>
                              <p> <?php echo($lang["V328"]); ?>: <?php echo($license['name']); ?> </p>
                              <p> <?php echo($lang["V329"]); ?>: <?php echo($license['key']); ?> </p>
                              <p> <?php echo($lang["V330"]); ?>: <?php echo($license['email']); ?> </p>
                              <p> <?php echo($lang["V390"]); ?>: <?php echo($license_type_list[$license['type_id']]); ?> </p>
                        <?php
                          } else {
                        ?>
                              <div class="notice"> <?php echo($lang["V331"]); ?> </div>
                        <?php } ?>
                      </div>
                      <?php if (!$activated) {?>
                      <div class="sub-category-0">
                          <form action="./index.php?c=register&m=update" method="post" name="register" id="register">
                              <label>Organization / Company Name:<span class="required"></span></label>
                              <p>
                                  <input name="data[name]" type="text" class="form-input" id="name" value="<?php echo $license['name'] ?>" size="80" maxlength="255" onclick="return clickIpt($(this))" />
                              </p>
                              <label><?php echo($lang["V329"]); ?>:<span class="required"></span></label>
                              <p>
                                  <input name="data[key]" type="text" class="form-input" id="key" value="<?php echo $license['key'] ?>" size="80" maxlength="255" onclick="return clickIpt($(this))" />
                              </p>
                              <label><?php echo($lang["V330"]); ?>:<span class="required"></span></label>
                              <p>
                                  <input name="data[email]" type="text" class="form-input" id="email" value="<?php echo $license['email'] ?>" size="80" maxlength="255" onclick="return clickIpt($(this))" />
                              </p>
                              
                              <div class="bottom-options">
                                  <input type="submit" class="btn big btn-blue" value="<?php echo($lang["V127"]); ?>" name="submit-bn" />
                              </div>
                              
                          </form>
                      </div>
                      <?php } ?>
                  </div>
                  <div id="footer">
                      <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="<?php echo($lang["V15"]); ?>" align="absmiddle" /> | <?php echo($lang["V14"]); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                </div>
            </div>
        </div>
        <div class="clear"></div>
        <div id="notification-box">
            <div id="notification"></div>
        </div>
        <div id="onlinetimer"></div>
    </body>
</html>
