<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title><?php echo($lang["V332"]); ?> - <?php echo($setting['software_name']); ?></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <link rel="stylesheet" type="text/css" href="./media/css/backend.css" media="screen" />
        <link rel="stylesheet" type="text/css" href="./media/css/date_input.css" media="screen" />
        <script type="text/javascript" src="./media/js/jquery.js" ></script>
        <script type="text/javascript" src="./media/js/tooltip.js"></script>
        <script type="text/javascript" src="./media/js/jquery.form.js"></script>
        <script type="text/javascript" src="./media/js/jquery.timers-1.2.js"></script>
        <script type="text/javascript" src="./media/js/FusionCharts.js"></script>
        <script type="text/javascript" src="./media/language/<?php echo($profile["language"]); ?>/js_lang.js"></script>
        <script type="text/javascript" src="./media/js/jquery.date_input.min.js"></script>
        <script type="text/javascript" src="./media/js/backend.js"></script>
        <script type="text/javascript" src="./media/js/report.js"></script>

        <script type="text/javascript">
            $(document).ready(function(){
                $(":radio[name='select_type'][value='<?php echo($date_range); ?>']").attr("checked","true");
                $("#report_type").val(<?php echo($report_type); ?>);
<?php if ($select_type == 1) { ?>
              $("#date_range").val(<?php echo($date_range); ?>);
              $("#from").val("<?php echo gmdate("Y-m-d", strtotime("last month")) ?>");
              $("#to").val("<?php echo gmdate("Y-m-d") ?>");
  <?php } else { ?>
                $("#from").val("<?php echo($date_from); ?>");
                $("#to").val("<?php echo($date_to); ?>");
  <?php } ?>
      })
        </script>
    </head>
    <body>
        <div id="header">
            <div id="logo"><img src="./media/language/<?php echo($setting["language"]); ?>/logo.png" alt="<?php echo($setting['software_name']); ?>" border="0" title="<?php echo($setting['software_name']); ?>" /></div>
            <div id="search">
                <form action="index.php" method="get" enctype="application/x-www-form-urlencoded" name="searchForm" target="_self" id="searchForm">
                    <span id="search_input">
                        <input type="text" value="<?php echo($lang["V2"]); ?>" maxlength="50" id="q" class="keywords" name="data[keyword]" onclick="if(this.value=='<?php echo($lang["V2"]); ?>')this.value=''" />
                    </span> <span id="search_btn">
                        <input type="image" class="button" src="./media/images/btn_search.png" name="b" /></span>
                    <input name="c" type="hidden" value="ticket" />
                </form>
            </div>
        </div>
            <div id="location">
                <ul>
                    <li><img src="./media/images/icon_location.gif" alt="<?php echo($lang["V4"]); ?>" width="13" height="13" /></li>
                    <li><strong><?php echo($lang["V4"]); ?>:</strong></li>
                    <li><?php echo($lang["V332"]); ?></li>
                </ul>
            </div>
            <div id="wrapper">
                <div id="leftside">
                    <div id="nav_profile">
                        <img width="44" height="44" src="<?php echo($setting["upload_path"] . $profile["avatar"]); ?>" alt="" />
                        <p><?php echo($lang["V6"]); ?>: <strong><?php echo($profile['username']); ?></strong></p>
                        <p><a href="./index.php?c=account"><?php echo($lang["V7"]); ?></a> | <a href="./index.php?c=account&m=signOut"><?php echo($lang["V8"]); ?></a></p>
                    </div>
                    <div class="clear"></div>
                    <div id="nav_dashboard"><a href="./index.php?c=dashboard"><?php echo($lang["V9"]); ?></a></div>
                    <div class="clear"></div>

                    <div>
                        <?php echo($menu); ?>
                    </div>
                </div>
                <div id="rightside">
                    <div id="content">
                        <div id="sub-title">
                            <span class="right"><?php echo($lang["V333"]); ?>:
                                <?php
                                  if ($date_from == $date_to) {
                                      echo gmdate("F j, Y", strtotime($date_from));
                                  } else {
                                      echo gmdate("F j, Y", strtotime($date_from)) . " - " . gmdate("F j, Y", strtotime($date_to));
                                  }
                                ?></span>
                        </div>

                        <form action="index.php" method="get">
                            <div class="filter">
                                <input type="radio" name="select_type" value="1" checked="checked" />
                                <select style="margin:5px;" name="date_range" id="date_range">
                                    <option value="1"><?php echo($lang["V216"]); ?> (<?php echo $lang[gmdate("l")] ?>)</option>
                                    <option value="2"><?php echo($lang["V335"]); ?> (<?php echo $lang[gmdate("l", strtotime("-1 day"))] ?>)</option>
                                    <option value="3"><?php echo($lang["V337"]); ?> (<?php echo $lang[gmdate("F")] ?>)</option>
                                    <option value="4"><?php echo($lang["V199"]); ?> (<?php echo $lang[gmdate("F", strtotime("-1 month"))] ?>)</option>
                                    <option value="5" selected="selected"><?php echo($lang["V340"]); ?></option>
                                    <option value="6"><?php echo($lang["V341"]); ?> (Mon-Sun)</option>
                                    <option value="7"><?php echo($lang["V342"]); ?> (Mon-Sun)</option>
                                    <option value="8"><?php echo($lang["V343"]); ?> (Mon-Fri)</option>
                                    <option value="9"><?php echo($lang["V344"]); ?> (Mon-Fri)</option>
                                    <option value="10"><?php echo($lang["V345"]); ?> (<?php echo gmdate("Y") ?>)</option>
                                    <option value="11"><?php echo($lang["V200"]); ?> (<?php echo gmdate("Y", strtotime("-1 year")) ?>)</option>
                                    <option value="12"><?php echo($lang["V346"]); ?></option>
                                </select>
                                <input type="radio" name="select_type" value="0" />
                                <?php echo($lang["V267"]); ?>
                                <input type="text" id="from" name="data[from]" size="12" />
                                <?php echo($lang["V397"]); ?>
                                <input type="text" id="to" name="data[to]" size="12"  />
                                <select name="report_type" id="report_type">
                                    <option value="1" selected="selected"><?php echo($lang["V347"]); ?></option>
                                    <option value="2"><?php echo($lang["V348"]); ?></option>
                                </select>
                                <input type="submit" class="btn btn-blue" value="<?php echo($lang["V349"]); ?>"  name="" />
                            </div>
                            <input type="hidden" name="c" value="report" />
                            <input type="hidden" name="m" value="customer" />
                        </form>
                        <div>
                            <?php
                              $FC->renderChart();
                            ?>
                        </div>

                    </div>
                    <div id="footer">
                        <div id="footer_content"> <span class="left"><?php echo($setting['software_copyright']); ?></span> <span class="right"><img src="./media/language/<?php echo($setting["language"]); ?>/company_logo.png" alt="<?php echo($lang["V15"]); ?>" align="absmiddle" /> | <?php echo($lang["V14"]); ?>: <?php echo($setting["software_version"]); ?></span> </div>
                    </div>
                </div>
            </div>
            <div class="clear"></div>

        			<div id="onlinetimer"></div>
        </body>
</html>
